/* Copyright (c) 2012 Research In Motion Limited.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
import bb.cascades 1.0
//import "Common"

// The application introduction recipe that sets up a view with some text
// explaining the purpose of the application and a small example UI
// showing a couple of Cascades Core Controls.
Page {
    Container {

	        Container {
                horizontalAlignment: HorizontalAlignment.Center
                Label {
	                multiline: true
	                textFormat: TextFormat.Html
                    content.flags: TextContentFlag.ActiveText
	            text: "
GeoToolBox v1.0.3
Copyright © 2014-2015 Toysoft Inc.
All Rights Reserved.

www.toysoft.ca
support@toysoft.ca"
                }// Label
	        }// Container
	
	
	}

	    actions: [

	        ActionItem {
	            title: "More Apps"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_moreapps.png"
	            onTriggered: {
	                invokeappworld.trigger("bb.action.OPEN")
	            }
	        },

	        ActionItem {
	            title: "Invite"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_bbm.png"
	             
	            onTriggered: {
	                       _mainApp.invitedownload()
	            }
	        }
	        
	        ]

	  attachedObjects: [
	    TextStyleDefinition
	    {
	      id: tsd
	      base: SystemDefaults.TextStyles.BodyText
	      fontWeight: FontWeight.Bold
	      fontSize: FontSize.Large
	
	    },

	    Invocation
	    {
	         id: invokewebsite
             query.mimeType: "text/html"
             query.uri: "http://www.toysoft.ca/"
             query.invokeActionId: "bb.action.OPEN"
	         
	     },

	    Invocation
	    {
	         id: invokeappworld
             query.mimeType: "application/x-bb-appworld"
             query.uri: "appworld://vendor/184"
             query.invokeActionId: "bb.action.OPEN"
	         
	     }

	  ]
    titleBar: TitleBar {
        title: "About"

    }

}// RecipePage

 