import bb.cascades 1.0
//import bb.cascades.pickers 1.0
import "Common"
import bb.system 1.0

Sheet {
    

	Page {
	    id: sheetModify
	
	    
	    titleBar: TitleBar {
	        id: addBar
	        title: "Edit Location"
	        visibility: ChromeVisibility.Visible
	        
	        dismissAction: ActionItem {
	            title: "Cancel"
	            onTriggered: {
	                _mainApp.cancelFilter()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            title: "Save"
	            onTriggered: {
	                _mainApp.saveFilter()
	            }
	        }
	    }// titleBar
	
	    actions: [
	        ActionItem {
	            id: addfield
	            title: qsTr("Map")
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_map.png"
	            onTriggered: {
		                _mainApp.addPhoneField()
	            }
	        },
	/*
	        ActionItem {
	            title: qsTr("Test")
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_clear.png"
	            onTriggered: {
		                _mainApp.testBlink(ledcolor.selectedIndex)
	            }
	        },
	  */      
	        ActionItem {
	            title: qsTr("Help")
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_help.png"
	            onTriggered: {
		                myQmlDialog.show()
	            }
	        }
	    ]
	    
	    ScrollView {
		    Container
		    {
		        layout: StackLayout {
		            orientation: LayoutOrientation.TopToBottom
		        }
		        leftPadding: 10.0
		        topPadding: 10.0
		        rightPadding: 10.0
		        bottomPadding: 10.0
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
	
		        Container
		        {
	                layout: DockLayout {
		            }
	                horizontalAlignment: HorizontalAlignment.Fill
	                Label {
	                    text: "Disable Location"
	                    horizontalAlignment: HorizontalAlignment.Left
	                }
	                ToggleButton {
			            objectName: "disablefilter"
	                    horizontalAlignment: HorizontalAlignment.Right
	                    }
	            }
	            Divider {
	                
	            }
	            Header {
	                title: "Location Name"
	            }
	            
	            TextField {
	                hintText: "Enter a location name"
	                objectName: "text_location_name"
	            }
	
				Container 
    			{
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    background: Color.DarkGray

                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Fill
                    ImageToggleButton {
                        imageSourceDefault: "asset:///images/ic_arrow_right.png"
                        imageSourceChecked: "asset:///images/ic_arrow_down.png"

                    }
					Label {
         				text: "GPS Co-Ordinate"
                         verticalAlignment: VerticalAlignment.Center
                    }
		        }
				
				
	            Container {
	                id: gps
	                topPadding: 10.0
	                Label {
	                    text: "Latitude:"
	                }
	                TextField {
	                    id: _lat
	                    objectName: "lat"
	                    inputMode: TextFieldInputMode.NumbersAndPunctuation
	                    hintText: "Enter the Latitude eg: 43.46448"
	                }
	                Label {
	                    text: "Longitude:"
	                }
	                TextField {
	                    id: _long
	                    objectName: "long"
	                    inputMode: TextFieldInputMode.NumbersAndPunctuation
	                    hintText: "Enter the Longitude eg: -80.52361"
	                }
	                Label {
	                    text: "Radius in Meters:"
	                }
	                TextField {
	                    id: _radius
	                    objectName: "radius"
	                    hintText: "Enter the Radius"
	                    inputMode: TextFieldInputMode.NumbersAndPunctuation
	                    text: "100"
	                }
	                Label {
	                    text: "If the Profile is not changing then set the Radius atleast 100 meters."
	                    textStyle.fontStyle: FontStyle.Italic
	                    multiline: true
	                }
	            } // gps container
	                            
                Container {
		            Header {
		                title: "At Location Actions"
		            }
		        }
	
	            DropDown {
	                title: "Notification Mode"
	                objectName: "dd_notification_mode"
	                Option {
	                    text: "Do Nothing"
	                }
	            }
	            
	            DropDown {
	                title: "Send Email"
	                objectName: "dd_send_email"
	                Option {
	                    text: "Do Nothing"
	                }
	            }
		
	            DropDown {
	                title: "Send SMS"
	                objectName: "dd_send_sms"
	                Option {
	                    text: "Do Nothing"
	                }
	            }
	            DropDown {
	                title: "Set Bluetooth"
	                objectName: "dd_set_bluetooth"
	                Option {
	                    text: "Do Nothing"
	                }
	                Option {
	                    text: "On"
	                }
	                Option {
	                    text: "Off"
	                }
	            }
	
	            DropDown {
	                title: "Set Wifi"
	                objectName: "dd_set_wifi"
	                Option {
	                    text: "Do Nothing"
	                }
	                Option {
	                    text: "On"
	                }
	            }
	
		
			} 
	
	        
	    } // container
	   
	
	
	}
}
