import bb.cascades 1.0

Sheet {
    

	Page {
	    id: page
	    titleBar: TitleBar {
	    	title: "Location Help"
            acceptAction: ActionItem {
                title: "Close"
                onTriggered: {
                    _Help.close_window()
                }
            }
	    }

	    
	    ScrollView {
         
		    Container {
                leftPadding: 10.0

                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
text: "This screen allows you to add a new Location.  When you enter or leave a location GeoToolBox will apply the location change automatically.

<b>General</b>

You must enter a unique name for the Location.  If you know the GPS co-ordinates you can manually type them in and set the Radius.  The Radius is in meters and this is the range from the location.
If you do not know the GPS co-ordinates then select the Map icon to do interactive.

If you want to be notified when the location is triggered you can check the Vibrate checkbox to get feedback.

<b>Actions</b>

The Actions screen is where you tell GeoToolBox what to do when you enter or leave a location.  You can set to change a Sound Notification Mode, send a Text Message, send an Email, turn Bluetooth On or Off or turn on Wifi.  You can select one or all of theh options to do.

If you do not see an options to select in the Notificaiton Mode, Send Email or Send SMS drop down then you have not added any templates.  Go to the main screen and select the <b>Templates</b> icon and add your items.

<b>Map</b>

The Map screen allows you to interactively set a location where you want to set the Location to trigger.

The Map will show your current location with the <b>Blue House</b> icon.  The <b>Current Location</b> is shown in the Pin drop icon.

To select a new current location scroll the map and then do a long press on the map.  You will see the new pin dropped and then radius circle.

To change the <b>Radius</b> use the Slider control.  The Radius controls the distance in meters.  When you are within the circle the BlackBerry OS will notify GeoToolBox to make the change.

You can pinch on the map to zoom in and out and set a more accurate location.

<b>GPS Signal</b>

If the BlackBerryOS can not get a GPS signal then the OS will not notify GeoToolBox therefore even if you are already at the location GeoToolBox will NOT apply your location actions until it receives the GPS event.

With GPS you will see delays and sometimes even up to 15 minutes long."

                } 
                
                Container {
                    Label {
                        textFormat: TextFormat.Html
                        text: "\n<b>Reminder Note</b>\n\nIf you have something that is important to do or see at the location you can enter a reminder note.  When you entered the location GeoToolBox will send a message to the Hub.  You can then read the message."
                        multiline: true
                    }
                }
                
                Container {
                    Label {
                        textFormat: TextFormat.Html
                        text: "\n<b>Wifi</b>\n\nYou can set to automatically turn on Wifi when you enter or leave a location but you can not automatically turn Wifi off.  BlackBerry still have NOT allow developers to turn off Wifi.  The best workaround GeoToolBox can do is to remind you to turn off Wifi with a Hub message."
                        multiline: true
                    }
                }
                
                Container {
                    Label {
                        textFormat: TextFormat.Html
                        text: "\n<b>Calendar</b>\n\nAn Calendar event can be created in the Calendar application when you leave a location.  You have the options to save to a different Calendar if you have multiple Calendars installed and set the Busy Flag.  The duration time that you have spent in the location will be saved in the Notes field.\n\nThe save to Calendar feature is useful if you want to keep track of where you have been daily and is useful for billing information."
                        multiline: true
                    }
                }
      
		    }
		}
	
	
	}

}