// Navigation pane project template
import bb.cascades 1.0
import bb.system 1.0

    Page {
        titleBar: TitleBar {
            title: "Manage Profiles"

        }

        attachedObjects: [
            SystemDialog {
                id: myQmlDialog
                cancelButton.label: undefined
                title: "Help"
                body: "Manage Profiles allow you to schedule a time to change system sound profiles.  You can set a start and end time to switch a sound profile.\n\nSelect the New button to create a new schedule.\n\nTo Edit or Delete a schedule touch and hold the item on the screen."
            }
        ]

        actions: [
            
            ActionItem {
                title: qsTr("Help")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    myQmlDialog.show()
                }
            },
            
            ActionItem {
                title: qsTr("New")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_add.png"
                onTriggered: {
                    _mainApp.openProfileSettings(-1);
                }
            }
        
        ]

        Container {
	        layout: DockLayout {
	        }
	        
            Container {
		
	            horizontalAlignment: HorizontalAlignment.Fill
                ListView {
	                id: listView
                    focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable
	
//	                property variant itemTextStyle: defaultBlackTextStyle;
	
                    dataModel: _mainApp.profile_model

	
	                    listItemComponents: ListItemComponent {
	                        type: "item"
	
						    Container {
						        id: itemRoot
						        
						        layout: DockLayout {
						        }
	
					            contextActions: [
					                    ActionSet {
								             title: "Select Action"
					                        
					                        ActionItem {
					                            title: "Edit"
					                            imageSource: "asset:///images/ic_edit.png"
					                            onTriggered: {
					                                itemRoot.ListItem.view.myAction(1, ListItemData.index);
					                            }
					                        }
	
                                            ActionItem {
                                                title: "Activate Profile"
                                                imageSource: "asset:///images/ic_activate.png"
                                                onTriggered: {
                                                    itemRoot.ListItem.view.myAction(2, ListItemData.index);
                                                }
                                            }

					                        DeleteActionItem {
					                            title: "Delete"
//					                            imageSource: "asset:///images/ic_delete.png"
					                            onTriggered: {
					                                itemRoot.ListItem.view.myAction(0, ListItemData.index);
					                            }
					                        }
	
					
					                    }
				                ]
						
						        // Item background image.
						        ImageView {
						            id: imgItemBackground
                                    imageSource: ListItemData.enabled_image //"asset:///images/red_photo.png"
						            preferredWidth: 1280
						            preferredHeight: 145
						        }
						        
						        Container {
						            id: highlightContainer
						            background: Color.create("#75b5d3")
	//					            opacity: 0.0
						            opacity: itemRoot.ListItem.active  ? 0.9 : 0.0
						            preferredWidth: 1280
						            preferredHeight: 145
						            horizontalAlignment: HorizontalAlignment.Center
						        }
						
						        // The Item content an image and a text
						        Container {
						            leftPadding: 3
						            horizontalAlignment: HorizontalAlignment.Fill
						            
						            layout: StackLayout {
						                orientation: LayoutOrientation.LeftToRight
						            }
						            
						            // start profile icon
						            ImageView {
						                preferredWidth: 128
						                preferredHeight: 128
						                verticalAlignment: VerticalAlignment.Center
						                imageSource: ListItemData.image
						            }
						            
						            Container {
							            layout: StackLayout {
							                orientation: LayoutOrientation.LeftToRight
							            }
	                                    verticalAlignment: VerticalAlignment.Center
	                                    horizontalAlignment: HorizontalAlignment.Left
	                                    Label {
	                                         text: " "
                                        }

	                                	Label {
							                // The title is bound to the data in models/recipemodel.xml title attribute.
							                text: ListItemData.title
							                verticalAlignment: VerticalAlignment.Center
                                         	multiline: true
                                            textStyle.color: Color.White
                                        } // Label
							        } // text container						        
							        
						        } // Container
						        
						        // end profile icon
                                Container {
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.RightToLeft
                                    
                                    }
                                    rightPadding: 3
                                    verticalAlignment: VerticalAlignment.Center                                        

                                horizontalAlignment: HorizontalAlignment.Right
                                // end profile icon
                                    ImageView {
                                        preferredWidth: 128
                                        preferredHeight: 128
                                        verticalAlignment: VerticalAlignment.Center                                        
                                        imageSource: ListItemData.end_image
                                    }
                                }

						        
						    } // Container
						}
		
	
	                onTriggered: {
	                    clearSelection()
	                   select(indexPath)
	                   _mainApp.selectEditProfile(indexPath)
	                }
	                // context menu
					function myAction(type, index) {
				        _mainApp.processMenuAction(type, index);
					}
	                objectName: "filtersList"
	            }    // listview
			
			
			} // container
			    
        }// main container
		
    } // page
   
