import bb.cascades 1.2
import bb.cascades.pickers 1.0

Sheet {
    
    Page {
        
        titleBar: TitleBar {
            id: addBar
            title: "Edit Email"
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: "Cancel"
                onTriggered: {
                    _email.cancelEmail()
                }
            }
            acceptAction: ActionItem {
                title: "Save"
                onTriggered: {
                    _email.saveEmail()
                }
            }
        
        }// titleBar
        
        
        actions: [
            
            
            ActionItem {
                title: "Help"
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _email.help()
                }
            },
            
            ActionItem {
                title: "Delete"
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _email.deleteItem()
                }
                objectName: "delete_action"
            }
            
        
        ]
        
        objectName: "page"
        ScrollView {
            
            
            Container {
                layout: StackLayout {
                }
                leftPadding: 10.0
                bottomPadding: 10.0
                topPadding: 10.0
                rightPadding: 10.0
                
/*
                    // send email
                    Container {
                        id: send_sms
                        
                        Header {
                            title: "SMS Properties"		                
                        }
                        TextField {
                            
                            hintText: "Enter a name for this SMS"
                            objectName: "s_smsname"
                            maximumLength: 60
                        }
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            Container {
                                topPadding: 10
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                
                                }
                                
                                TextField {                            
                                    hintText: "Enter phone number"
                                    objectName: "s_phone_number"
                                    maximumLength: 64
                                }
                                Button {
                                    preferredWidth: 100.0
                                    imageSource: "asset:///images/ic_contact_lookup.png"
                                    onClicked: {
                                        _email.openContactPicker(2);
                                    }
                                }
                            }
                        }
                        
                        TextArea {
                            hintText: "Enter Message"
                            objectName: "s_sms_message"
                            maximumLength: 140
                        }
                        
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: "Keep a copy in InBox"
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            CheckBox {
                                objectName: "bt_keep_sms"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                    
                    } // end sms
*/                    
                    // send email
                    Container {
                        id: send_email
                        
                        Header {
                            title: "Email Properties"		                
                        }
                        
                        DropDown {
                            id: filtertype
                            title: "Account"
                            objectName: "account_type"
                            selectedIndex: 0
                        }
                        
                        TextField {
                            
                            hintText: "Enter a name for this email"
                            objectName: "s_emailname"
                            maximumLength: 60
                        }
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            
                            TextField {                            
                                hintText: "Enter To email address"
                                objectName: "s_toemail"
                                maximumLength: 128
	                            inputMode: TextFieldInputMode.EmailAddress
	                        }
                            Button {
                                //                                text: "Lookup"
                                preferredWidth: 100.0
                                imageSource: "asset:///images/ic_contact_lookup.png"
                                onClicked: {
                                    _email.openContactPicker(0);
                                }
                            }
                        }
                        Container {
                            topPadding: 10
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            
                            TextField {                            
                                hintText: "Enter CC email address"
                                objectName: "s_ccemail"
                                maximumLength: 128
                                inputMode: TextFieldInputMode.EmailAddress
                            }
                            Button {
                                //                                text: "Lookup"
                                preferredWidth: 100.0
                                imageSource: "asset:///images/ic_contact_lookup.png"
                                onClicked: {
                                    _email.openContactPicker(1);
                                }
                            }
                        }
                        
                        Container {
                            topPadding: 10
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            
                            TextField {                            
                                hintText: "Add Attachment"
                                objectName: "s_attachemnt"
                                maximumLength: 128
                            }
                            Button {
                                //                                text: "Lookup"
                                preferredWidth: 100.0
                                imageSource: "asset:///images/ic_attachment.png"
                                onClicked: {
                                    filePicker.open()
                                }
                            }
                        }
                        
                        Divider {
                            
                        }
                        TextField {                            
                            hintText: "Enter Subject"
                            objectName: "s_subject"
                            maximumLength: 128
                        }
                        TextArea {
                            hintText: "Enter Message"
                            objectName: "s_message"
                            maximumLength: 640
                        }
                        
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: "Keep a copy in InBox"
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            CheckBox {
                                objectName: "bt_keep_email"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Label {
                            text: "It will take up to one minute to delete the message."
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.Small
                        }
                    
                    
                    }	
            
            } // container
        } // scrollview
    } // page
    
    attachedObjects: [
        
        FilePicker {
            id: filePicker
            title: "Select a File"
            directories: [ "/accounts/1000/shared" ]
            onFileSelected: {                
                _email.manipulatePhoto(selectedFiles);
            }
        }
    
    ]

} // sheet
