import bb.cascades 1.2
import bb.cascades.maps 1.0
import QtMobilitySubset.location 1.1
import bb.cascades.pickers 1.0


Sheet {
    
    peekEnabled: false

    TabbedPane {
        showTabsOnActionBar: true
        id: tabbedPane
        objectName: "tabbed_pane"
               //activeTab: tab_action
        Tab {
            imageSource: "asset:///images/ic_settings.png"
            title: "Settings"
            objectName: "tab_general"
            Page {
                id: page1
                titleBar: TitleBar {
                    title: "Edit Location"
                    visibility: ChromeVisibility.Visible
                    acceptAction: ActionItem {
                        title: "Save"
                        onTriggered: {
                            _newLocation.saveLocation()
                        }

                    }

                    dismissAction: ActionItem {
                        title: "Cancel"
                        onTriggered: {
                            _newLocation.cancelLocation()
                        }

                    }

                } // title

                actions: [
                    ActionItem {
                        title: "Help"
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _newLocation.help()
                        }
                    },

                    ActionItem {
                        title: "Delete"
                        imageSource: "asset:///images/ic_delete.png"
                        objectName: "action_delete1"
                        onTriggered: {
                            _newLocation.deleteLocation()
                        }
                    }

                ]

                objectName: "page1"
                ScrollView {
                    Container {
                        layout: StackLayout {
                            orientation: LayoutOrientation.TopToBottom
                        }
                        leftPadding: 10.0
                        topPadding: 10.0
                        rightPadding: 10.0
                        bottomPadding: 10.0
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill

                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            Label {
                                text: "Disable Location"
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_disabled"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Divider {

                        }
                        Header {
                            title: "Location Name"
                        }

                        TextField {
                            hintText: "Enter a location name"
                            objectName: "text_location_name"
                        }
                        TextField {
                            maximumLength: 128
                            objectName: "text_address"
                            hintText: "Enter address"
                        }

                        Header {
                            title: "GPS Coordinates"
                        }
                        Container {
                            topPadding: 10.0
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            horizontalAlignment: HorizontalAlignment.Center
                            Label {
                                text: "Latitude"
                                horizontalAlignment: HorizontalAlignment.Left
                                verticalAlignment: VerticalAlignment.Center
                                preferredWidth: 200.0
                            }
                            TextField {
                                hintText: "Enter latitude"
                                objectName: "text_lat"
                                horizontalAlignment: HorizontalAlignment.Right
                                verticalAlignment: VerticalAlignment.Center
                                inputMode: TextFieldInputMode.NumbersAndPunctuation
                            }
                        }

                        Container {
                            topPadding: 10.0
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            horizontalAlignment: HorizontalAlignment.Center
                            Label {
                                text: "Longitude"
                                horizontalAlignment: HorizontalAlignment.Left
                                verticalAlignment: VerticalAlignment.Center
                                preferredWidth: 200.0
                            }
                            TextField {
                                hintText: "Enter longitude"
                                objectName: "text_lon"
                                horizontalAlignment: HorizontalAlignment.Right
                                verticalAlignment: VerticalAlignment.Center
                                inputMode: TextFieldInputMode.NumbersAndPunctuation
                            }
                        }

                        Container {
                            topPadding: 10.0
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            horizontalAlignment: HorizontalAlignment.Center
                            Label {
                                text: "Radius"
                                horizontalAlignment: HorizontalAlignment.Left
                                verticalAlignment: VerticalAlignment.Center
                                preferredWidth: 200.0
                            }
                            TextField {
                                hintText: "Enter Radius in meters"
                                objectName: "text_radius"
                                horizontalAlignment: HorizontalAlignment.Right
                                verticalAlignment: VerticalAlignment.Center

                                inputMode: TextFieldInputMode.PhoneNumber
                                maximumLength: 4
                                text: "100"
                            }
                        }
                                                
                        
                        Container {
                            topPadding: 10
                            id: search_map
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            horizontalAlignment: HorizontalAlignment.Center
                            Button {
                                horizontalAlignment: HorizontalAlignment.Center
                                text: "Search"
                                onClicked: {
                                    _newLocation.searchMap()
                                }
                            }

	                        Button {
	                            horizontalAlignment: HorizontalAlignment.Center
	                            text: "Update Map"
	                            onClicked: {
	                                _newLocation.updateMap()
	                                tabbedPane.activeTab = map_tab
	                            }
	                        }
	                    }

                        Divider {

                        }
                        Container {
                            id: adjust_volume
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            Label {
                                text: "Vibrate on triggered"
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                id: sound_tb
                                objectName: "tb_vibrate"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }

                    } // container

                } // scrollview

            } // page
        } // general tab

        Tab {
            title: "Actions"
            imageSource: "asset:///images/ic_actions.png"
            id: tab_action
            Page {
                id: page_action
                titleBar: TitleBar {
                    title: "Edit Location"
                    visibility: ChromeVisibility.Visible
                    acceptAction: ActionItem {
                        title: "Save"
                        onTriggered: {
                            _newLocation.saveLocation()
                        }

                    }

                    dismissAction: ActionItem {
                        title: "Cancel"
                        onTriggered: {
                            _newLocation.cancelLocation()
                        }

                    }

                } // title

                actions: [
                    ActionItem {
                        title: "Help"
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _newLocation.help()
                        }
                    },

                    ActionItem {
                        title: "Delete"
                        imageSource: "asset:///images/ic_delete.png"
                        objectName: "action_delete2"
                        onTriggered: {
                            _newLocation.deleteLocation()
                        }
                    }
                ]

                objectName: "page2"
                ScrollView {

                    Container {
                        layout: StackLayout {
                            orientation: LayoutOrientation.TopToBottom
                        }
                        leftPadding: 10.0
                        topPadding: 10.0
                        rightPadding: 10.0
                        bottomPadding: 10.0
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill

                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight

                            }
                            background: Color.DarkGray

                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Fill
                            ImageToggleButton {
                                id: ib_at
                                imageSourceDefault: "asset:///images/ic_arrow_right.png"
                                imageSourceChecked: "asset:///images/ic_arrow_down.png"
                                onCheckedChanged: {
                                    at_container.setVisible(checked)
                                }

                            }
                            Label {
                                text: "Enter Location Actions"
                                verticalAlignment: VerticalAlignment.Center
                                textStyle.color: Color.White
                            }
                        }
                        /*
                         * Container {
                         * Header {
                         * title: "At Location Actions"
                         * }
                         * }
                         */
                        Container
                        {
                            id: at_container
                            visible: false
                            topPadding: 10
                            DropDown {
	                            title: "Sound Notification"
	                            objectName: "dd_notification_mode_arrive"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                        }
	
	                        DropDown {
	                            title: "Send Email"
	                            objectName: "dd_send_email_arrive"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                        }
	
	                        DropDown {
	                            title: "Send SMS"
	                            objectName: "dd_send_sms_arrive"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                        }
	                        DropDown {
	                            title: "Set Bluetooth"
	                            objectName: "dd_set_bluetooth_arrive"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
	                            Option {
	                                text: "Off"
	                            }
	                        }
	
	                        DropDown {
	                            selectedIndex: 0
	                            title: "Set Wifi"
	                            objectName: "dd_set_wifi_arrive"
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
                                Option {
                                    text: "Off (Hub Reminder)"
                                }
	                        }
	                        
                            DropDown {
                                selectedIndex: 0
                                title: "Set Wallpaper"
                                objectName: "dd_set_wallpaper_arrive"
                                onSelectedIndexChanged: {
                                    if (selectedValue == "select")
                                        filePicker.open();
                                    else
                                        _newLocation.save_wallpaper_index(0, selectedIndex)
                                        
                                }
                                Option {
                                    text: "Do Nothing"
                                }
                                Option {
                                    text: "Browse..."
                                    value: "select"
                                }
                            }
	                        
                            DropDown {
                                selectedIndex: 0
                                title: "Set Tone"
                                objectName: "dd_set_tone_arrive"
                                onSelectedIndexChanged: {
                                    if (selectedIndex > 0)
                                        _newLocation.playTone(selectedIndex-1)
                                }
                                Option {
                                    text: "Do Nothing"
                                }
                                Option {
                                    text: "Canopus"
                                }
                                Option {
                                    text: "Electra"
                                }
                                Option {
                                    text: "Heaven"
                                }
                                Option {
                                    text: "Lalande"
                                }
                                Option {
                                    text: "Mira"
                                }
                                Option {
                                    text: "Book"
                                }
                                Option {
                                    text: "Pop"
                                }
                                Option {
                                    text: "TaDa"
                                }
                                Option {
                                    text: "Tinker Bell"
                                }
                                Option {
                                    text: "BB"
                                }
                                Option {
                                    text: "Birds"
                                }
                                Option {
                                    text: "Galaxy"
                                }
                                Option {
                                    text: "HTC"
                                }
                                Option {
                                    text: "Saber"
                                }
                                Option {
                                    text: "Perfect"
                                }
                                Option {
                                    text: "Phone"
                                }
                                Option {
                                    text: "Sonar"
                                }
                                Option {
                                    text: "Short"
                                }
                                Option {
                                    text: "Window"
                                }
                                Option {
                                    text: "Xenon"
                                }
                            }

	                    } // at container

/*
                        Container {
                            Header {
                                title: "Left Location Actions"
                            }
                        }
*/
						Divider {
          
          				}
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            background: Color.DarkGray
                            
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Fill
                            ImageToggleButton {
                                id: ib_left
                                imageSourceDefault: "asset:///images/ic_arrow_right.png"
                                imageSourceChecked: "asset:///images/ic_arrow_down.png"
                                onCheckedChanged: {
                                    left_container.setVisible(checked)
                                }
                            
                            }
                            Label {
                                text: "Leave Location Actions"
                                verticalAlignment: VerticalAlignment.Center
                                textStyle.color: Color.White
                            }
                        }

						Container
						{
						    id: left_container
                            visible: false
                            topPadding: 10
                            DropDown {
	                            title: "Sound Notification"
	                            objectName: "dd_notification_mode_left"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                        }
	
	                        DropDown {
	                            title: "Send Email"
	                            objectName: "dd_send_email_left"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                        }
	
	                        DropDown {
	                            title: "Send SMS"
	                            objectName: "dd_send_sms_left"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                        }
	                        DropDown {
	                            title: "Set Bluetooth"
	                            objectName: "dd_set_bluetooth_left"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
	                            Option {
	                                text: "Off"
	                            }
	                        }
	
	                        DropDown {
	                            title: "Set Wifi"
	                            objectName: "dd_set_wifi_left"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
                                Option {
                                    text: "Off (Hub Reminder)"
                                }
	                        }

                            DropDown {
                                selectedIndex: 0
                                title: "Set Wallpaper"
                                objectName: "dd_set_wallpaper_left"
                                onSelectedIndexChanged: {
                                    if (selectedValue == "select")
                                        filePicker2.open();
                                    else
                                        _newLocation.save_wallpaper_index(1, selectedIndex)
                                
                                }
                                Option {
                                    text: "Do Nothing"
                                }
                                Option {
                                    text: "Browse..."
                                    value: "select"
                                }
                            }

                            DropDown {
                                selectedIndex: 0
                                title: "Set Tone"
                                objectName: "dd_set_tone_left"
                                onSelectedIndexChanged: {
                                    if (selectedIndex > 0)
                                    	_newLocation.playTone(selectedIndex-1)
                                }
                                Option {
                                    text: "Do Nothing"
                                }
                                Option {
                                    text: "Canopus"
                                }
                                Option {
                                    text: "Electra"
                                }
                                Option {
                                    text: "Heaven"
                                }
                                Option {
                                    text: "Lalande"
                                }
                                Option {
                                    text: "Mira"
                                }
                                Option {
                                    text: "Book"
                                }
                                Option {
                                    text: "Pop"
                                }
                                Option {
                                    text: "TaDa"
                                }
                                Option {
                                    text: "Tinker Bell"
                                }
                                Option {
                                    text: "BB"
                                }
                                Option {
                                    text: "Birds"
                                }
                                Option {
                                    text: "Galaxy"
                                }
                                Option {
                                    text: "HTC"
                                }
                                Option {
                                    text: "Saber"
                                }
                                Option {
                                    text: "Perfect"
                                }
                                Option {
                                    text: "Phone"
                                }
                                Option {
                                    text: "Sonar"
                                }
                                Option {
                                    text: "Short"
                                }
                                Option {
                                    text: "Window"
                                }
                                Option {
                                    text: "Xenon"
                                }
                            }
	                    } // left container


                        Divider {
                        
                        }
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            background: Color.DarkGray
                            
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Fill
                            ImageToggleButton {
                                id: b_calendar
                                imageSourceDefault: "asset:///images/ic_arrow_right.png"
                                imageSourceChecked: "asset:///images/ic_arrow_down.png"
                                onCheckedChanged: {
                                    calendar_container.setVisible(checked)
                                }
                            
                            }
                            Label {
                                text: "Calendar"
                                verticalAlignment: VerticalAlignment.Center
                                textStyle.color: Color.White
                            }
                        }
                        
                        Container
                        {
                            id: calendar_container
                            visible: false
                            topPadding: 10
                            Container {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                Label {
                                    text: "Save to Calendar"
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "tb_calendar_save"
                                    horizontalAlignment: HorizontalAlignment.Right
                                    onCheckedChanged: {
                                        save_calendar.setVisible(checked)
                                    }
                                }
                            }
                            
                            Divider {
                            
                            }
                            Container {
                                id: save_calendar
                                topPadding: 10
	
	                            DropDown {
	                                title: "Calendar"
	                                objectName: "dd_calendar"
                                    onSelectedValueChanged: {
                                        _newLocation.setCalendarValues(selectedValue.accountId, selectedValue.folderId);
                                    }
                                    selectedIndex: 0
                                }
	                            
	                            TextField {
	                                hintText: "Enter a subject"
                                    objectName: "text_calendar_subject"
                                    maximumLength: 120

                                }
	
	                            DropDown {
	                                horizontalAlignment: HorizontalAlignment.Fill
	                                title: "Busy Status"
	                                objectName: "dd_calendar_busystate"
                                    selectedIndex: 0
                                    Option {
	                                    text: "Free"
	                                }
	                                Option {
	                                    text: "Tentative"
	                                }
	                                Option {
	                                    text: "Busy"
	                                }
	                                Option {
	                                    text: "Out Of Office"
	                                }
	                            }
	
	                            Container {
	                                layout: DockLayout {
	                                }
	                                horizontalAlignment: HorizontalAlignment.Fill
	                                Label {
	                                    text: "Private"
	                                    horizontalAlignment: HorizontalAlignment.Left
	                                }
	                                ToggleButton {
	                                    objectName: "tb_calendar_private"
	                                    horizontalAlignment: HorizontalAlignment.Right
	                                }
	                            }
	                                       
	                            Divider {
                                 
                                 }                 
	                            Label {
	                                text: "Save a new Calendar event when you leave this location."
	                                multiline: true
	                                textStyle.fontSize: FontSize.Small
	                            }
	                        } // save to calendar
                        } // calendar container



                        Divider {
                        
                        }
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            background: Color.DarkGray
                            
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Fill
                            ImageToggleButton {
                                id: b_at_location
                                imageSourceDefault: "asset:///images/ic_arrow_right.png"
                                imageSourceChecked: "asset:///images/ic_arrow_down.png"
                                onCheckedChanged: {
                                    reminder_container.setVisible(checked)
                                }
                            
                            }
                            Label {
                                text: "Reminder Note"
                                verticalAlignment: VerticalAlignment.Center
                                textStyle.color: Color.White
                            }
                        }

                        Container
                        {
                            id: reminder_container
                            visible: false
                            topPadding: 10
                            
                            TextArea {
                                hintText: "Enter a reminder note"
                                objectName: "text_reminder_note"
                                maximumLength: 256

                            }
                            
                            Label {
                                text: "The reminder note wil be shown in the Hub when you enter this location.  To turn off the Alert sound and/or LED run the Settings app, select Notifications, select Applications and then GeoToolBox."
                                multiline: true
                                textStyle.fontSize: FontSize.Small
                            }
                        
                        } // reminder container


                    } // container

                } // scrollview

            } // page
        } // action tab

        Tab {
            title: "Map"
            imageSource: "asset:///images/ic_map.png"

            id: map_tab
            Page {
                id: page_map
                titleBar: TitleBar {
                    title: "Edit Location"
                    visibility: ChromeVisibility.Visible
                    acceptAction: ActionItem {
                        title: "Save"
                        onTriggered: {
                            _newLocation.saveLocation()
                        }

                    }

                    dismissAction: ActionItem {
                        title: "Cancel"
                        onTriggered: {
                            _newLocation.cancelLocation()
                        }

                    }

                } // title

                actions: [
                    ActionItem {
                        title: "Help"
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _newLocation.help()
                        }
                    },

                    ActionItem {
                        title: "Delete"
                        imageSource: "asset:///images/ic_delete.png"
                        onTriggered: {
                            _newLocation.deleteLocation()
                        }
                        objectName: "action_delete3"
                    }
                ]

                objectName: "page3"
                Container {
                    id: root
                    layout: DockLayout {
                    }
                    //! [1]
                    MapView {
                        id: mapview
                        altitude: 3000
                        //            latitude: 43.449488
                        //           longitude: -80.406777
                        preferredWidth: 1440
                        preferredHeight: 1440
                        objectName: "mapview"
                        onCaptionButtonClicked: {
                            _newLocation.map_route()
                        }

                        onMapLongPressed: {
                            _newLocation.map_drawCircle(coordinates)
                        }

                    }

                    Container {
                        id: battery_warning
                        leftPadding: 10
                        rightPadding: 10
                        topPadding: 15
                        bottomPadding: 15
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        }

                        verticalAlignment: VerticalAlignment.Bottom
                        enabled: false
                        objectName: "container_set_distance"
                        // The minimum position of the slider means night-time so an image of a
                        // moon is added to illustrate this.
                        ImageView {
                            imageSource: "asset:///images/ic_zoom_out.png"
                            verticalAlignment: VerticalAlignment.Center
                        }
                        // The slider component
                        Slider {
                            id: radius_value
                            leftMargin: 10
                            rightMargin: 10
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Center

                            layoutProperties: StackLayoutProperties {
                                spaceQuota: 1
                            }
                            objectName: "sl_radius"
                            toValue: 3000
                            fromValue: 10.0
                            onValueChanged: {
                                _newLocation.map_updateCircle(Math.round(immediateValue))
                            }
                            value: 100.0

                        }

                        // At the maximum position of the slider means day-time so an image of a
                        // sun is added to illustrate this.
                        ImageView {
                            imageSource: "asset:///images/ic_zoom_in.png"
                            verticalAlignment: VerticalAlignment.Center

                        } // Sun icon Image
                    } // Slider Container

                    Container {
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        }
                        topPadding: 30

                        verticalAlignment: VerticalAlignment.Top
                        horizontalAlignment: HorizontalAlignment.Center
                        Label {
                            text: " " + Math.round(radius_value.immediateValue) + " Meters"
                            //                        textStyle.color: Color.Red
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Center
                            textStyle.color: Color.Blue
                            textStyle.fontSize: FontSize.Large
                        }
                    }

                    Container {
                        layout: StackLayout {
                        }
                        verticalAlignment: VerticalAlignment.Center
                        horizontalAlignment: HorizontalAlignment.Center
                        objectName: "container_getting_location"
                        Label {
                            text: "Getting Current Location..."
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Center
                            textStyle.color: Color.Blue
                            textStyle.fontSize: FontSize.Large
                        }
                    }

                    Container {
                        layout: StackLayout {
                        }
                        leftPadding: 10
                        topPadding: 10
                        verticalAlignment: VerticalAlignment.Top
                        horizontalAlignment: HorizontalAlignment.Left
                        objectName: "container_home"
                        enabled: false
                        ImageButton {
                            defaultImageSource: "asset:///images/ic_go_home.png"
                            onClicked: {
                                _newLocation.goHome();
                            }
                        }
                    }

                    Container {
                        layout: StackLayout {
                        }
                        rightPadding: 10
                        topPadding: 10
                        verticalAlignment: VerticalAlignment.Top
                        horizontalAlignment: HorizontalAlignment.Right
                        objectName: "container_search"
                        enabled: false
                        ImageButton {
                            defaultImageSource: "asset:///images/ic_search_map.png"
                            onClicked: {
                                _newLocation.searchMap();
                            }
                        }
                    }


                } // container

            } // page
        } // map tab

    } // tabbedpane
    
    attachedObjects: [
        
        FilePicker {
            id: filePicker
            type: FileType.Picture
            filter: [ "*.jpg", "*.jpeg","*.png", "*.gif", "*.bmp" ]
            title: "Select a Picture"
            //            directories: [ "/accounts/1000/shared" ]
            directories : [ "/accounts/1000/shared/camera"]
            onFileSelected: {
                _newLocation.manipulatePhoto(0, selectedFiles);
            }
            onCanceled: {
                _newLocation.manipulatePhoto(1, "");
            }
            
        },

        FilePicker {
            id: filePicker2
            type: FileType.Picture
            filter: [ "*.jpg", "*.jpeg","*.png", "*.gif", "*.bmp" ]
            title: "Select a Picture"
            //            directories: [ "/accounts/1000/shared" ]
            directories : [ "/accounts/1000/shared/camera"]
            onFileSelected: {
                _newLocation.manipulatePhoto(2, selectedFiles);
            }
            onCanceled: {
                _newLocation.manipulatePhoto(3, "");
            }
                
        }

    ]

}// sheet
