import bb.cascades 1.2
import "Common"
//import bb.cascades.pickers 1.0

Sheet
{
    Page 
    {
        id: sheetModify
        
        titleBar: TitleBar 
        {
            id: addBar
            title: "Edit Profile"
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: "Cancel"
                onTriggered: {
                    _mainApp.cancelProfileSettings()
                }
            }
            
            
            acceptAction: ActionItem {
                title: "Save"
                onTriggered: {
                    _mainApp.saveProfileSettings()
                }
            }
        }// titleBar
        
        ScrollView {	
            
            Container
            {
                layout: StackLayout {
                }
                
                leftPadding: 10.0
                topPadding: 10.0
                rightPadding: 10.0
                bottomPadding: 10.0
                //background: Color.Black
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                
                // [0]
                Container
                {
                    layout: StackLayout {
                    }
                    Header {
                        title: "Profile Properties"
                    
                    }
                    
                    Container
                    {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: "Enable"
                            horizontalAlignment: HorizontalAlignment.Left
                        }
                        ToggleButton {
                            objectName: "enable"
                            horizontalAlignment: HorizontalAlignment.Right
                            onCheckedChanged: {
                                if (checked)
                                    wholepage.setVisible(true);
                                else
                                    wholepage.setVisible(false);
                            }
                        
                        }
                    } // toggle button
                    
                    Container {
                        
                        id: wholepage				
                        topPadding: 10
                        objectName: "wholepage"
                        TextField {
                            id: contactNumber
                            hintText: "Enter a profile name"
                            objectName: "profile_name"
                        }
                        
                        DropDown {
                            id: repeatalarmdropdown
                            objectName: "repeatDropdown"
                            
                            title: "Recurrence"
                            
                            Option {
                                value: "Everyday"
                                text: "Everyday"
                                description: "Activate everyday."
                            }
                            Option {
                                value: "Weekdays"
                                text: "Weekdays"
                                description: "Activate Monday to Friday."
                            }
                            Option {
                                value: "Weekly"
                                text: "Weekly"
                                description: "Activate every week."
                            }
                            
                            onSelectedValueChanged: {
                                if (selectedIndex == 2)
                                {
                                    weekdays1.setVisible(true);
                                    weekdays2.setVisible(true);
                                }
                                else
                                {
                                    weekdays1.setVisible(false);
                                    weekdays2.setVisible(false);
                                }
                            }
                        } // DropDown
                        
                        Container
                        {
                            id: weekdays1
                            horizontalAlignment: HorizontalAlignment.Left
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            visible: false
                            CheckBox {
                                id: monday
                                objectName: "monday"
                                text: "Mon"
                            }
                            CheckBox {
                                id: tuesday
                                objectName: "tuesday"
                                text: "Tue"
                            }
                            CheckBox {
                                id: wednesday
                                objectName: "wednesday"
                                text: "Wed"
                            }
                            CheckBox {
                                id: thursday
                                objectName: "thursday"
                                text: "Thr"
                            }
                        }
                        
                        Container
                        {
                            id: weekdays2
                            horizontalAlignment: HorizontalAlignment.Left
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            visible: false
                            CheckBox {
                                id: friday
                                objectName: "friday"
                                text: "Fri"
                            }
                            CheckBox {
                                id: saturday
                                objectName: "saturday"
                                text: "Sat"
                            }
                            
                            CheckBox {
                                id: sunday
                                objectName: "sunday"
                                text: "Sun"
                            }
                            
                            CheckBox {
                                id: all
                                objectName: "all"
                                text: "All"
                                onCheckedChanged: {
                                    if (checked)
                                    {
                                        monday.setChecked(true);
                                        tuesday.setChecked(true);
                                        wednesday.setChecked(true);
                                        thursday.setChecked(true);
                                        friday.setChecked(true);
                                        saturday.setChecked(true);
                                        sunday.setChecked(true);
                                    }
                                    else
                                    {
                                        monday.setChecked(false);
                                        tuesday.setChecked(false);
                                        wednesday.setChecked(false);
                                        thursday.setChecked(false);
                                        friday.setChecked(false);
                                        saturday.setChecked(false);
                                        sunday.setChecked(false);
                                    }
                                }
                            }
                        }
                        
                        
                        
                        Header {
                            title: "Start Profile"
                        
                        }
                        // [1] options
                        Container
                        {
                            id: startprofile
                            topPadding: 10.0
                            DropDown {
                                id: mode
                                title: "Mode"
                                objectName: "startmode"
                                
                                onSelectedIndexChanged: {
                                    if (selectedIndex  == 0)
                                        start_profile_container.setVisible(false)
                                    else
                                        start_profile_container.setVisible(true)
                                }
                                Option {
                                    text: "Do Nothing"
                                    value: "nothing"
                                    description: "Do not change profile"
                                    imageSource: "asset:///images/ic_mode_nothing.png"
                                }
                                
                                Option {
                                    text: "Silent"
                                    value: "silent"
                                    description: "Mute phone and system sounds"
                                    imageSource: "asset:///images/ic_mode_silent.png"
                                }
                                Option {
                                    text: "Vibrate Only"
                                    value: "vibrate"
                                    description: "Vibrate on incoming call and mute all sounds"
                                    imageSource: "asset:///images/ic_mode_vibrate.png"
                                }
                                Option {
                                    text: "Normal"
                                    value: "normal"
                                    description: "Allow all sounds"
                                    imageSource: "asset:///images/ic_mode_normal.png"
                                }
                                Option {
                                    text: "Phone Calls Only"
                                    value: "phonecall"
                                    description: "Allow phone sound and mute system sounds"
                                    imageSource: "asset:///images/ic_mode_phone.png"
                                }
                                Option {
                                    text: "All Alerts Off"
                                    value: "alloff"
                                    description: "Mute all sounds"
                                    imageSource: "asset:///images/ic_mode_alloff.png"
                                }
                            }
                        
                        
                        
                        } // [1]
                        
                        // [startprofile]
                        Container
                        {
                            id: start_profile_container
                            objectName: "start_profile_container"
                            visible: false
                            DateTimePicker {		                    
                                title: "Start Time"
                                objectName: "starttime"
                                mode: DateTimePickerMode.Time
                                minuteInterval: 1
                            }
                            DropDown {
                                id: wallpaperdropdown
                                title: "Wallpaper"
                                objectName: "wallpaper"
                                onSelectedIndexChanged: {
                                    if (selectedValue == "select")
                                        _mainApp.delayPlaySound(selectedIndex, "selectwallpaper", false);
                                    else
                                        _mainApp.resetProfilePictureIndex(0, true, selectedIndex)
                                }
                                visible: false
                                Option {
                                    text: "None"
                                    value: "none"
                                }
                                Option {
                                    text: "Browse Picture..."
                                    value: "select"
                                }
                            }
                            
                            DropDown {
                                title: "Ringtone"
                                objectName: "start_ringtone"
                                Option {
                                    text: "None"
                                    value: "none"
                                }
                                Option {
                                    text: "Browse Music..."
                                    value: "select"
                                }
                                onSelectedIndexChanged: {
                                    if (selectedIndex == 0)
                                        start_ringtonenote.setVisible(false)
                                    else
                                        start_ringtonenote.setVisible(true)
                                    
                                    if (selectedValue == "select")
                                        _mainApp.delayPlaySound(selectedIndex, "select_start_ringtone", false);                                    
                                    else
                                        _mainApp.resetProfilePictureIndex(1, true, selectedIndex)
                                }
                                visible: false
                            }
                            Label {
                                id: start_ringtonenote
                                objectName: "start_ringtonenote"
                                text: "Note: You need to set the Phone ringtone to Phone_Loud.mp3 in the Settings->Notification app."
                                textStyle.fontSize: FontSize.XSmall
                                textStyle.color: Color.LightGray
                                multiline: true
                                visible: false
                            }
                            
                            DropDown {
                                id: ledcolor
                                title: "Incoming Call Color"
                                objectName: "start_incomingcolor"
                                onSelectedIndexChanged: {
                                    if (selectedIndex > 0)
                                        ledlabel.setVisible(true)
                                    else
                                        ledlabel.setVisible(false)
                                
                                }
                                selectedIndex: 0
                                visible: false
                                Option {
                                    text: "None"
                                    imageSource: "asset:///images/ic_led_none.png"
                                }
                                Option {
                                    text: "Blue"
                                    imageSource: "asset:///images/ic_led_blue.png"
                                }
                                Option {
                                    text: "Cyan"
                                    imageSource: "asset:///images/ic_led_cyan.png"
                                }
                                Option {
                                    text: "Green"
                                    imageSource: "asset:///images/ic_led_green.png"
                                }
                                Option {
                                    text: "Magenta"
                                    imageSource: "asset:///images/ic_led_magenta.png"
                                }
                                Option {
                                    text: "Red"
                                    imageSource: "asset:///images/ic_led_red.png"
                                }
                                Option {
                                    text: "Yellow"
                                    imageSource: "asset:///images/ic_led_yellow.png"
                                }
                                Option {
                                    text: "White"
                                    imageSource: "asset:///images/ic_led_white.png"
                                }
                                
                                Option {
                                    text: "Rainbow"
                                    imageSource: "asset:///images/ic_led_rainbow.png"
                                }
                            }
                            Label {
                                id: ledlabel
                                text: "Note: You need to turn off the LED for Phone in the Settings->Notifications application."
                                textStyle.fontSize: FontSize.XSmall
                                textStyle.color: Color.LightGray
                                multiline: true
                                visible: false
                            }
                            
                            DropDown {
                                id: bluetooth
                                title: "Bluetooth"
                                objectName: "bluetooth"
                                visible: false
                                Option {
                                    text: "Do nothing"
                                }
                                Option {
                                    text: "On"
                                }
                                Option {
                                    text: "Off"
                                }
                            }

                            Header {
                                title: "Volume"
                                visible: false
                            }

                            Container {
                                id: start_volume
                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 15
                                bottomPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }

                                visible: false
                                // The minimum position of the slider means night-time so an image of a
                                // moon is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound0.png"
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                
                                // The slider component
                                Slider {
                                    leftMargin: 10
                                    rightMargin: 10
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    objectName: "start_volume"
                                    toValue: 100.0
                                
                                }
                                
                                // At the maximum position of the slider means day-time so an image of a
                                // sun is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound3.png"
                                    verticalAlignment: VerticalAlignment.Center
                                
                                } // Sun icon Image
                            } // Slider Container
                            
                            Header {
                                title: "Main Volume"
                                visible: false
                            }
                            Container {
                                id: media_volume
                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 15
                                bottomPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }

                                visible: false
                                // The minimum position of the slider means night-time so an image of a
                                // moon is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound0.png"
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                
                                // The slider component
                                Slider {
                                    leftMargin: 10
                                    rightMargin: 10
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    objectName: "main_volume"
                                    toValue: 100.0
                                
                                }
                                
                                // At the maximum position of the slider means day-time so an image of a
                                // sun is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound3.png"
                                    verticalAlignment: VerticalAlignment.Center
                                
                                } // Sun icon Image
                            } // Slider Container
                            Label {
                                text: "Adjust media volume and the volume of your applications."
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.XSmall
                                visible: false

                            }	                                    


                        
                        } //[startprofile]
                        
                        Header {
                            title: "End Profile"
                        
                        }
                        // [1] options
                        Container
                        {
                            topPadding: 10.0
                            DropDown {
                                id: endmode
                                title: "Mode"
                                objectName: "end_mode"
                                onSelectedIndexChanged: {
                                    if (selectedIndex  == 0)
                                        end_profile_container.setVisible(false)
                                    else
                                        end_profile_container.setVisible(true)
                                }
                                
                                Option {
                                    text: "Do Nothing"
                                    value: "nothing"
                                    description: "Do not change profile"
                                    imageSource: "asset:///images/ic_mode_nothing.png"
                                }
                                
                                Option {
                                    text: "Silent"
                                    value: "silent"
                                    description: "Mute phone and system sounds"
                                    imageSource: "asset:///images/ic_mode_silent.png"
                                }
                                Option {
                                    text: "Vibrate Only"
                                    value: "vibrate"
                                    description: "Vibrate on incoming call and mute all sounds"
                                    imageSource: "asset:///images/ic_mode_vibrate.png"
                                }
                                Option {
                                    text: "Normal"
                                    value: "normal"
                                    description: "Allow all sounds"
                                    imageSource: "asset:///images/ic_mode_normal.png"
                                }
                                Option {
                                    text: "Phone Calls Only"
                                    value: "phonecall"
                                    description: "Allow phone sound and mute system sounds"
                                    imageSource: "asset:///images/ic_mode_phone.png"
                                }
                                Option {
                                    text: "All Alerts Off"
                                    value: "alloff"
                                    description: "Mute all sounds"
                                    imageSource: "asset:///images/ic_mode_alloff.png"
                                }
                            }
                        
                        
                        
                        } // [1]
                        
                        // [endprofile]
                        Container
                        {
                            id: end_profile_container
                            visible: false
                            DateTimePicker {		                    
                                title: "End Time"
                                objectName: "end_time"
                                mode: DateTimePickerMode.Time
                                minuteInterval: 1
                            }
                            DropDown {
                                id: endwallpaperdropdown
                                title: "Wallpaper"
                                objectName: "end_wallpaper"
                                onSelectedIndexChanged: {
                                    if (selectedValue == "select")
                                        _mainApp.delayPlaySound(selectedIndex, "selectwallpaper_end", false);
                                    else
                                        _mainApp.resetProfilePictureIndex(40, true, selectedIndex)
                                }
                                selectedIndex: 0
                                visible: false
                                Option {
                                    text: "None"
                                    value: "none"
                                }
                                Option {
                                    text: "Browse Picture..."
                                    value: "select"
                                }
                            }
                            
                            DropDown {
                                title: "Ringtone"
                                objectName: "end_ringtone"
                                Option {
                                    text: "None"
                                    value: "none"
                                }
                                Option {
                                    text: "Browse Music..."
                                    value: "select"
                                }
                                onSelectedIndexChanged: {
                                    if (selectedIndex == 0)
                                        end_ringtonenote.setVisible(false)
                                    else
                                        end_ringtonenote.setVisible(true)
                                    
                                    if (selectedValue == "select")
                                        _mainApp.delayPlaySound(selectedIndex, "select_end_ringtone", false);                                    
                                    else
                                        _mainApp.resetProfilePictureIndex(2, true, selectedIndex)
                                }
                                visible: false
                            }
                            Label {
                                id: end_ringtonenote
                                objectName: "end_ringtonenote"
                                text: "Note: You need to set the Phone ringtone to Phone_Loud.mp3 in the Settings->Notifications app."
                                textStyle.fontSize: FontSize.XSmall
                                textStyle.color: Color.LightGray
                                multiline: true
                                visible: false
                            }
                            
                            DropDown {
                                title: "Incoming Call Color"
                                objectName: "end_incomingcolor"
                                onSelectedIndexChanged: {
                                    if (selectedIndex > 0)
                                        ledlabel.setVisible(true)
                                    else
                                        ledlabel.setVisible(false)
                                
                                }
                                visible: false
                                Option {
                                    text: "None"
                                    imageSource: "asset:///images/ic_led_none.png"
                                }
                                Option {
                                    text: "Blue"
                                    imageSource: "asset:///images/ic_led_blue.png"
                                }
                                Option {
                                    text: "Cyan"
                                    imageSource: "asset:///images/ic_led_cyan.png"
                                }
                                Option {
                                    text: "Green"
                                    imageSource: "asset:///images/ic_led_green.png"
                                }
                                Option {
                                    text: "Magenta"
                                    imageSource: "asset:///images/ic_led_magenta.png"
                                }
                                Option {
                                    text: "Red"
                                    imageSource: "asset:///images/ic_led_red.png"
                                }
                                Option {
                                    text: "Yellow"
                                    imageSource: "asset:///images/ic_led_yellow.png"
                                }
                                Option {
                                    text: "White"
                                    imageSource: "asset:///images/ic_led_white.png"
                                }
                                
                                Option {
                                    text: "Rainbow"
                                    imageSource: "asset:///images/ic_led_rainbow.png"
                                }
                            }
                            Label {
                                id: end_ledlabel
                                text: "Note: You need to turn off the LED for Phone in the Settings->Notifications application."
                                textStyle.fontSize: FontSize.XSmall
                                textStyle.color: Color.LightGray
                                multiline: true
                                visible: false
                            }
                            DropDown {
                                id: bluetooth_end
                                title: "Bluetooth"
                                objectName: "bluetooth_end"
                                visible: false
                                Option {
                                    text: "Do nothing"
                                }
                                Option {
                                    text: "On"
                                }
                                Option {
                                    text: "Off"
                                }
                            }

                            Header {
                                title: "Volume"
                                visible: false
                            }

                            Container {
                                id: end_volume
                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 15
                                bottomPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }

                                visible: false
                                // The minimum position of the slider means night-time so an image of a
                                // moon is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound0.png"
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                
                                // The slider component
                                Slider {
                                    leftMargin: 10
                                    rightMargin: 10
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    objectName: "end_volume"
                                    toValue: 100.0
                                
                                }
                                
                                // At the maximum position of the slider means day-time so an image of a
                                // sun is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound3.png"
                                    verticalAlignment: VerticalAlignment.Center
                                
                                } // Sun icon Image
                            } // Slider Container
                            
                            Header {
                                title: "Main Volume"
                                visible: false
                            }
                            Container {
                                id: media_volume_end
                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 15
                                bottomPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }

                                visible: false
                                // The minimum position of the slider means night-time so an image of a
                                // moon is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound0.png"
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                
                                // The slider component
                                Slider {
                                    leftMargin: 10
                                    rightMargin: 10
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    objectName: "main_volume_end"
                                    toValue: 100.0
                                
                                }
                                
                                // At the maximum position of the slider means day-time so an image of a
                                // sun is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound3.png"
                                    verticalAlignment: VerticalAlignment.Center
                                
                                } // Sun icon Image
                            } // Slider Container
                            Label {
                                text: "Adjust media volume and the volume of your applications."
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.XSmall
                                visible: false

                            }	                

                            
                        } //[endprofile]
                    }
                } // whole page                	
            
            }
        } // scrollview
    } // page
}

