import bb.cascades 1.2
import bb.cascades.pickers 1.0

Sheet {
    
    Page {
        
        titleBar: TitleBar {
            id: addBar
            title: "Edit SMS"
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: "Cancel"
                onTriggered: {
                    _sms.cancelEmail()
                }
            }
            acceptAction: ActionItem {
                title: "Save"
                onTriggered: {
                    _sms.saveEmail()
                }
            }
        
        }// titleBar
        
        
        actions: [
            
            
            ActionItem {
                title: "Help"
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _sms.help()
                }
            },
            
            ActionItem {
                title: "Delete"
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _sms.deleteItem()
                }
                objectName: "delete_action"
            }
        
        
        ]
        
        objectName: "page"
        ScrollView {
            
            
            Container {
                layout: StackLayout {
                }
                leftPadding: 10.0
                bottomPadding: 10.0
                topPadding: 10.0
                rightPadding: 10.0

                Header {
                    title: "SMS Properties"		                
                }
                TextField {
                    
                    hintText: "Enter a name for this SMS"
                    objectName: "s_smsname"
                    maximumLength: 60
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    Container {
                        topPadding: 10
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        
                        }
                        
                        TextField {                            
                            hintText: "Enter phone number"
                            objectName: "s_phone_number"
                            maximumLength: 64
                            inputMode: TextFieldInputMode.PhoneNumber
                        }
                        Button {
                            preferredWidth: 100.0
                            imageSource: "asset:///images/ic_contact_lookup.png"
                            onClicked: {
                                _sms.openContactPicker(2);
                            }
                        }
                    }
                }
                
                TextArea {
                    hintText: "Enter Message"
                    objectName: "s_sms_message"
                    maximumLength: 140
                }
                
                Container
                {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: "Keep a copy in InBox"
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    CheckBox {
                        objectName: "bt_keep_sms"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
            
            } // container
        } // scrollview
    } // page

} // sheet
