import bb.cascades 1.2
import bb.cascades.pickers 1.0

Sheet {
    
    Page {
        
        titleBar: TitleBar {
            id: addBar
            title: "Edit Sound Profile"
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: "Cancel"
                onTriggered: {
                    _profile.cancelEmail()
                }
            }
            acceptAction: ActionItem {
                title: "Save"
                onTriggered: {
                    _profile.saveEmail()
                }
            }
        
        }// titleBar
        
        
        actions: [
            
            
            ActionItem {
                title: "Help"
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _profile.help()
                }
            },
            
            ActionItem {
                title: "Delete"
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _profile.deleteItem()
                }
                objectName: "delete_action"
            }
        
        
        ]
        
        objectName: "page"
        ScrollView {
            
            
            Container {
                layout: StackLayout {
                }
                leftPadding: 10.0
                bottomPadding: 10.0
                topPadding: 10.0
                rightPadding: 10.0
             
                Container
                {
                    layout: StackLayout { }
                    
                    Header {
                        title: "Profile Properties"
                    }
                    TextField {
                        id: contactNumber
                        hintText: "Enter a profile name"
                        objectName: "profile_name"
                    }
                    Divider {
                        
                    }
                    Container
                    {
                        id: profile1
                        visible: true
                        topPadding: 10.0
                        DropDown {
                            id: mode
                            title: "Mode"
                            objectName: "mode"
                            selectedIndex: 0
                            onSelectedIndexChanged: {
                                // normal and phone only
                                if (selectedIndex == 2 || selectedIndex == 3)
                                {
                                    start_led.setVisible(true)
                                    start_sound.setVisible(true)
                                    start_vibrate.setVisible(true)
                                    start_preview.setVisible(true)
                                    //start_volume.setVisible(true)
                                    sound_container.setVisible(true)
                                    adjust_volume.setVisible(true)
                                }
                                // silent and vibrate
                                else
                                if (selectedIndex == 0 || selectedIndex == 1)
                                {
                                    start_led.setVisible(true)
                                    start_sound.setVisible(false)
                                    start_vibrate.setVisible(false)
                                    start_preview.setVisible(true)
                                    //start_volume.setVisible(false)
                                    start_sound.setSelectedIndex(0)
                                    start_vibrate.setSelectedIndex(0)
                                    sound_container.setVisible(true)
                                    adjust_volume.setVisible(true)
                                
                                }
                                // all off
							    else
							    {
                                        start_led.setVisible(false)
                                        start_sound.setVisible(false)
                                        start_vibrate.setVisible(false)
                                        start_preview.setVisible(false)
                                        sound_container.setVisible(false)
                                        adjust_volume.setVisible(false)
                                        
                                        start_led.setSelectedIndex(0)
                                        start_sound.setSelectedIndex(0)
                                        start_preview.setSelectedIndex(0)
                                        start_vibrate.setSelectedIndex(0)
                                    
                                }
                            }
                            Option {
                                text: "Do Nothing"
                                value: "Do Nothing"
                                description: "Do not change Profile"
                                imageSource: "asset:///images/ic_mode_nothing.png"
                            }
                            Option {
                                text: "Silent"
                                value: "silent"
                                description: "Mute phone and system sounds"
                                imageSource: "asset:///images/ic_mode_silent.png"
                            }
                            Option {
                                text: "Vibrate Only"
                                value: "vibrate"
                                description: "Vibrate on incoming call and mute all sounds"
                                imageSource: "asset:///images/ic_mode_vibrate.png"
                            }
                            Option {
                                text: "Normal"
                                value: "normal"
                                description: "Allow all sounds"
                                imageSource: "asset:///images/ic_mode_normal.png"
                            }
                            Option {
                                text: "Phone Calls Only"
                                value: "phonecall"
                                description: "Allow phone sound and mute system sounds"
                                imageSource: "asset:///images/ic_mode_phone.png"
                            }
                            Option {
                                text: "All Alerts Off"
                                value: "alloff"
                                description: "Mute all sounds"
                                imageSource: "asset:///images/ic_mode_alloff.png"
                            }
                        }
                    } // mode container
                    
                    Container
                    {
                        topPadding: 10.0
                        DropDown {
                            id: start_led
                            title: "LED"
                            objectName: "led"
                            selectedIndex: 0
                            Option {
                                text: "Do Nothing"
                            }
                            Option {
                                text: "On"
                            }
                            Option {
                                text: "Off"
                            }
                        }
                    }
                    Container
                    {
                        topPadding: 10.0
                        DropDown {
                            id: start_sound
                            title: "Sound"
                            objectName: "sound"
                            selectedIndex: 0
                            Option {
                                text: "Do Nothing"
                            }
                            Option {
                                text: "On"
                            }
                            Option {
                                text: "Off"
                            }
                        }
                    }
                    
                    Container
                    {
                        topPadding: 10.0
                        DropDown {
                            id: start_vibrate
                            title: "Vibrate"
                            objectName: "vibrate"
                            selectedIndex: 0
                            Option {
                                text: "Do Nothing"
                            }
                            Option {
                                text: "On"
                            }
                            Option {
                                text: "Off"
                            }
                        }
                    }
                    
                    Container
                    {
                        topPadding: 10.0
                        DropDown {
                            id: start_preview
                            title: "Instant Preview"
                            objectName: "preview"
                            selectedIndex: 0
                            Option {
                                text: "Do Nothing"
                            }
                            Option {
                                text: "On"
                            }
                            Option {
                                text: "Off"
                            }
                        }
                    }

                    Divider {
                    
                    }
                    Container
                    {
                        id: adjust_volume
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            text: "Adjust Volumes"
                            horizontalAlignment: HorizontalAlignment.Left
                        }
                        ToggleButton {
                            id: sound_tb
                            objectName: "tb_adjust_volumes"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    }
                    
                    Container {
	                    id: sound_container
	                    Header {
	                        title: "Sound"
	                    }
                        visible: sound_tb.checked

                        objectName: "sound_container"
                        Container {
	                        id: start_volume
	                        leftPadding: 10
	                        rightPadding: 10
	                        topPadding: 15
	                        bottomPadding: 15
	                        layout: StackLayout {
	                            orientation: LayoutOrientation.LeftToRight
	                        }
	                        
	                        // The minimum position of the slider means night-time so an image of a
	                        // moon is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound0.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        }
	                        
	                        // The slider component
	                        Slider {
	                            leftMargin: 10
	                            rightMargin: 10
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Center
	                            
	                            layoutProperties: StackLayoutProperties {
	                                spaceQuota: 1
	                            }
	                            objectName: "start_volume"
	                            toValue: 100.0
	                        
	                        }
	                        
	                        // At the maximum position of the slider means day-time so an image of a
	                        // sun is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound3.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        
	                        } // Sun icon Image
	                    } // Slider Container
	                    Label {
	                        text: "Adjust sound for Alerts, Alarms and Ringtone."
	                        textStyle.fontStyle: FontStyle.Italic
	                        textStyle.fontSize: FontSize.XSmall
	                    
	                    }	                                    
	                    
	                    
	                    
	                    Header {
	                        title: "Main Volume"
	                    }
	                    Container {
	                        id: media_volume
	                        leftPadding: 10
	                        rightPadding: 10
	                        topPadding: 15
	                        bottomPadding: 15
	                        layout: StackLayout {
	                            orientation: LayoutOrientation.LeftToRight
	                        }
	                        
	                        // The minimum position of the slider means night-time so an image of a
	                        // moon is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound0.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        }
	                        
	                        // The slider component
	                        Slider {
	                            leftMargin: 10
	                            rightMargin: 10
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Center
	                            
	                            layoutProperties: StackLayoutProperties {
	                                spaceQuota: 1
	                            }
	                            objectName: "main_volume"
	                            toValue: 100.0
	                        
	                        }
	                        
	                        // At the maximum position of the slider means day-time so an image of a
	                        // sun is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound3.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        
	                        } // Sun icon Image
	                    } // Slider Container
	                    Label {
	                        text: "Adjust media volume and the volume of your applications."
	                        textStyle.fontStyle: FontStyle.Italic
	                        textStyle.fontSize: FontSize.XSmall
	                    
	                    }	                                    
	                }// sound container

                    
                } // container

                

            } // container
        } // scrollview
    } // page

} // sheet
