import bb.cascades 1.0
import bb.system 1.0

Sheet
{

	Page {
	    id: sheetModify
	
        actions: [
            ActionItem {
                title: qsTr("Help")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    myQmlDialog.show()
                }
            }
        ]

	    
	    titleBar: TitleBar {
	        id: addBar
	        title: "One Time Profile"
	        visibility: ChromeVisibility.Visible
	        
	        dismissAction: ActionItem {
	            title: "Cancel"
	            onTriggered: {
	                _mainApp.cancelOneTimeProfile()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            title: "Activate"
	            onTriggered: {
	                _mainApp.saveOneTimeProfile()
	            }
	        }
	    }// titleBar
	    ScrollView {
	
	
		    Container
		    {
		        layout: DockLayout {
		        }
		        leftPadding: 10.0
		        topPadding: 10.0
		        rightPadding: 10.0
		        bottomPadding: 10.0
//		    background: Color.Black
		        
		        Container
		        {
			        layout: StackLayout {
			        }

                    DropDown {
	                    horizontalAlignment: HorizontalAlignment.Fill
			            id: mode
			            title: "Mode"
			            objectName: "mode"
                        Option {
                            text: "Silent"
                            value: "silent"
                            description: "Mute phone and system sounds"
                            imageSource: "asset:///images/ic_mode_silent.png"
                        }
                        Option {
                            text: "Vibrate Only"
                            value: "vibrate"
                            description: "Vibrate on incoming call and mute all sounds"
                            imageSource: "asset:///images/ic_mode_vibrate.png"
                        }
                        Option {
                            text: "Normal"
                            value: "normal"
                            description: "Allow all sounds"
                            imageSource: "asset:///images/ic_mode_normal.png"
                        }
                        Option {
                            text: "Phone Calls Only"
                            value: "phonecall"
                            description: "Allow phone sound and mute system sounds"
                            imageSource: "asset:///images/ic_mode_phone.png"
                        }
                        Option {
                            text: "All Alerts Off"
                            value: "alloff"
                            description: "Mute all sounds"
                            imageSource: "asset:///images/ic_mode_alloff.png"
                        }
                    }

                    DropDown {
	                    horizontalAlignment: HorizontalAlignment.Fill
			            id: timer
			            title: "Duration"
			            objectName: "duration"
                        selectedIndex: 0
                        Option {
			                    text: "15 Minutes"
                            imageSource: "asset:///images/ic_nosound.png"
                        }
                        Option {
			                    text: "30 Minutes"
                                imageSource: "asset:///images/ic_nosound.png"
                        }

                        Option {
			                    text: "45 Minutes"
                                imageSource: "asset:///images/ic_nosound.png"
                        }
                        Option {
			                    text: "1 Hour"
                                imageSource: "asset:///images/ic_nosound.png"
                        }
                        Option {
			                    text: "2 Hours"
                                imageSource: "asset:///images/ic_nosound.png"
                        }
                        Option {
			                    text: "3 Hours"
                                imageSource: "asset:///images/ic_nosound.png"
                        }
                        Option {
			                    text: "4 Hours"
                                imageSource: "asset:///images/ic_nosound.png"
                        }
                        Option {
			                    text: "5 Hours"
                                imageSource: "asset:///images/ic_nosound.png"
                        }
                        Option {
			                    text: "6 Hours"
                                imageSource: "asset:///images/ic_nosound.png"
                        }
                        Option {
			                    text: "7 Hours"
                                imageSource: "asset:///images/ic_nosound.png"
                        }
                        Option {
			                    text: "8 Hours"
                                imageSource: "asset:///images/ic_nosound.png"
                        }

                    }

                    DropDown {
	                    horizontalAlignment: HorizontalAlignment.Fill
		                id: ledcolor
		                title: "Incoming Call Color"
			            objectName: "incomingcolor"
                        selectedIndex: 0
                        visible: false
                        Option {
			                    text: "None"
			                imageSource: "asset:///images/ic_led_none.png"
			            }
			            Option {
			                    text: "Blue"
			                imageSource: "asset:///images/ic_led_blue.png"
			                }
			            Option {
			                    text: "Cyan"
			                imageSource: "asset:///images/ic_led_cyan.png"
			                }
			            Option {
			                    text: "Green"
			                imageSource: "asset:///images/ic_led_green.png"
			                }
			            Option {
			                    text: "Magenta"
			                imageSource: "asset:///images/ic_led_magenta.png"
			                }
			            Option {
			                    text: "Red"
			                imageSource: "asset:///images/ic_led_red.png"
			                }
			            Option {
			                    text: "Yellow"
			                imageSource: "asset:///images/ic_led_yellow.png"
			                }
			            Option {
			                    text: "White"
			                imageSource: "asset:///images/ic_led_white.png"
			                }

			            Option {
			                    text: "Rainbow"
			                imageSource: "asset:///images/ic_led_rainbow.png"
			                }
			        }
				        

		        
                }
            }

	    }

    }

    attachedObjects: [
        SystemDialog {
            id: myQmlDialog
            cancelButton.label: undefined
            title: "Help"
            body: "One Time Profile allows you to set a Profile for a specific time.  When the time expires Color LEd Messages sets the Profile back to the last Profile.  You can cancel the One Time Profile at anytime by opening this screen.        
            "
        }
    ]

}
