// Navigation pane project template
import bb.cascades 1.0
import "Common"


NavigationPane {
    id: navigationPane
    Page {


	    actions: [
	        ActionItem {
	            title: qsTr("New")
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_add.png"
	            onTriggered: {
	                _mainApp.editFilter(true);
	            }
	        },

	        ActionItem {
	            title: qsTr("Backup Databases")
	            imageSource: "asset:///images/ic_save.png"
	            onTriggered: {
	                _mainApp.exportFilter(true);
	            }
	        },

	        ActionItem {
	            title: qsTr("Restore Databases")
	            imageSource: "asset:///images/ic_open.png"
	            onTriggered: {
	                _mainApp.exportFilter(false);
	            }
	        }
	        ,

	        ActionItem {
                ActionBar.placement: ActionBarPlacement.OnBar
	            title: "Templates"
	            imageSource: "asset:///images/ic_template.png"
	            onTriggered: {
                    _mainApp.openTemplates();
	            }
	        }


	    ]
	
	    Container {
	        layout: DockLayout {
	        }

            ImageView {
                imageSource: "asset:///images/sheet_background.jpg"
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
            }

            ImageView {
                imageSource: "asset:///images/ic_title.png"
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Center
            }
            
            
            Container {
		
	            horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 75.0

                ListView {
                    id: listview
                    dataModel: _mainApp.model
                    focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable                    
                    
                    listItemComponents: [
                        ListItemComponent {
                            type: "item"
                            
                            StandardListItem {
                                id: itemRoot
                                title: ListItemData.title
                                description: ListItemData.description
                                status: ListItemData.status
                                imageSource: ListItemData.image
                                imageSpaceReserved: false
                                
/*                                
                                contextActions: [
                                    ActionSet {
                                        id: action_set
                                        title: "Select Action"
                                        
                                        objectName: "action_set"
                                        ActionItem {
                                            title: "Edit"
                                            imageSource: "asset:///images/ic_edit.png"
                                            onTriggered: {
                                                
                                                itemRoot.ListItem.view.myAction(1, ListItemData.index);
                                            }
                                        }
                                        
                                        ActionItem {
                                            id: action_clear_msg
                                            title: "Clear Status"
                                            imageSource: "asset:///images/ic_activate.png"
                                            onTriggered: {
                                                itemRoot.ListItem.view.myAction(2, ListItemData.index);
                                            }
                                            objectName: "action_clear_msg"
                                        }
                                        
                                        DeleteActionItem {
                                            title: "Delete"
                                            //                                        imageSource: "asset:///images/ic_delete.png"
                                            onTriggered: {
                                                itemRoot.ListItem.view.myAction(0, ListItemData.index);
                                            }
                                        }
                                    
                                    }
                                ]
*/                                
                                //                            }
                            } // container
                        }
                    ] // listItem
                    
                    onTriggered: {
                        clearSelection()
                        _mainApp.selectEditFilter(indexPath)
                    }
                    // context menu
                    function myAction(type, index) {
                        _mainApp.processAction(type, index);
                    }
                    
                    objectName: "filtersList"
                    leadingVisualSnapThreshold: 0.6
                } // listview			
			
			} // container
			    
        }// main container
		
    } // page
   

}
